/*=======================================================*/
/*  TVMEM.C                                              */
/*     functions to allocate and deallocate TV memory    */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"

/*======================================================*/
/* TVgetmem--allocate a block of "system" memory        */
/*   Ralf Brown 4/2/88                                  */
/*======================================================*/

void far * pascal TVgetmem(unsigned amt)
{
   _BX = amt ;
   _AX = 0x1001 ;
   geninterrupt(0x15) ;
   return MK_FP(_ES,_DI) ;
}


/*======================================================*/
/* TVputmem--free a block of "system" memory            */
/*   Ralf Brown 4/2/88                                  */
/*======================================================*/

void pascal TVputmem(void far *block)
{
   _ES = FP_SEG(block) ;
   _DI = FP_OFF(block) ;
   _AX = 0x1002 ;
   geninterrupt(0x15) ;
}

